telemetry.internal.util.external_modules | index telemetry/internal/util/external_modules.py

`# Copyright 2014 The Chromium Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.`

Modules
`` |  |
importlib | distutils.version |  |

Functions
`` |  | ImportOptionalModule(module) `Tries to import the desired module. Returns: The module if successful, None if not.` ImportRequiredModule(module) `Tries to import the desired module. Returns: The module on success, raises error on failure. Raises: ImportError: The import failed.`

Data
`` |  | MODULES = {'cv2': (StrictVersion ('2.4.8'), StrictVersion ('3.0')), 'numpy': (StrictVersion ('1.6.1'), None), 'psutil': (StrictVersion ('0.5'), None)}